Package org.apache.calcite.avatica

# Class Meta.Frame

java.lang.Object
org.apache.calcite.avatica.Meta.Frame

Enclosing interface:
  Meta

public static class Meta.Frame extends Object
A collection of rows.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`done`
Whether this is definitely the last frame of rows.
`static final Meta.Frame`
`EMPTY`
Frame that has zero rows and is the last frame.
`static final Meta.Frame`
`MORE`
Frame that has zero rows but may have another frame.
`final long`
`offset`
Zero-based offset of first row.
`final Iterable<Object>`
`rows`
The rows.

## Constructor Summary

Constructors
Constructor
Description
`Frame(long offset, boolean done, Iterable<Object> rows)`

## Method Summary

Modifier and Type
Method
Description
`static Meta.Frame`
`create(long offset, boolean done, List<Object> rows)`
`boolean`
`equals(Object o)`
`static Meta.Frame`
`fromProto(org.apache.calcite.avatica.proto.Common.Frame proto)`
`int`
`hashCode()`
`org.apache.calcite.avatica.proto.Common.Frame`
`toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY

public static final Meta.Frame EMPTY
Frame that has zero rows and is the last frame.

### MORE

public static final Meta.Frame MORE
Frame that has zero rows but may have another frame.

### offset

public final long offset
Zero-based offset of first row.

### done

public final boolean done
Whether this is definitely the last frame of rows. If true, there are no more rows. If false, there may or may not be more rows.

### rows

public final Iterable<Object> rows
The rows.

## Constructor Details

### Frame

public Frame(long offset, boolean done, Iterable<Object> rows)

## Method Details

### create

public static Meta.Frame create(long offset, boolean done, List<Object> rows)

### toProto

public org.apache.calcite.avatica.proto.Common.Frame toProto()

### fromProto

public static Meta.Frame fromProto(org.apache.calcite.avatica.proto.Common.Frame proto)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`